from core import Core
from turtle import *

class Tools(Core):
    width,height=0,0
    def __init__(self,open=False,helperline='red'):
        
        width=window_width()
        height=window_height()
        #行列
        lines=int(height/10)
        rows=int(width/10)
        #左上角
        leftx=-int(width/2)
        topy=int(height/2)
        self.goto_((leftx,topy))
        if open==True:
            for l in range(lines):
                nowpos=pos()-(0,0)
                self.line(rows,10,pcolor=helperline)
                topy-=10
                self.goto_((leftx,topy))
            qx,qy=-160,160
            self.goto_((qx,qy))
            for l in range(32):
                nowpos=pos()-(0,0)
                self.line(32,10,pcolor="blue")
                qy-=10
                self.goto_((qx,qy))
            qx,qy=-80,80
            self.goto_((qx,qy))
            for l in range(16):
                nowpos=pos()-(0,0)
                self.line(16,10,pcolor="green")
                qy-=10
                self.goto_((qx,qy))
            qx,qy=-20,20
            self.goto_((qx,qy))
            for l in range(4):
                nowpos=pos()-(0,0)
                self.line(4,10,pcolor="red")
                qy-=10
                self.goto_((qx,qy))
            self.goto_((0,0))
    
    #绘制线段 'length:2;direction:down;fcolor:black;pos:(0,-100);symmetrical:13'
    def drawlines(self,drawcon=[],startpos=(0,0)):
        for c in drawcon:
            c_val=c.split(';')
            length=0
            direction=''
            fcolor=''
            posv=None
            symmetrical='f'
            symmetrical_direction="right"
            line_type='line'
            for v in c_val:
                demens=v.split(':')
                if demens[0]=='length':
                    length=int(demens[1])
                elif demens[0]=='direction':
                    direction=demens[1]
                elif demens[0]=='fcolor':
                    fcolor=demens[1]
                elif demens[0]=='pos':
                    posval=demens[1].split(',')
                    posv=(int(posval[0])+startpos[0],int(posval[1])+startpos[1])
                elif demens[0]=='symmetrical':
                    symmetrical=int(demens[1])
                elif demens[0]=='symmetrical_direction':
                    symmetrical_direction=demens[1]
                elif demens[0]=='line_type':
                    line_type=demens[1]
            self.goto_(posv)
            if line_type=='line':
                self.line(length,fcolor=fcolor,direction=direction,symmetrical=symmetrical,symmetrical_direction=symmetrical_direction)