from drawTools import Tools
from turtle import *

tracer(False)

drawcon=['length:4;direction:down;fcolor:black;pos:0,0',
        'length:6;direction:down;fcolor:black;pos:-10,-40',
        'length:2;direction:down;fcolor:black;pos:0,-100;symmetrical:13',
        'length:2;direction:right;fcolor:black;pos:10,-120;symmetrical:10',
        'length:8;direction:right;fcolor:black;pos:30,-130',
        'length:8;direction:down;fcolor:black;pos:140,-20',
        'length:2;direction:down;fcolor:black;pos:130,0',
        'length:3;direction:right;fcolor:black;pos:100,10',
        'length:2;direction:down;fcolor:black;pos:90,0',
        'length:5;direction:left;fcolor:black;pos:90,-20',
        'length:2;direction:up;fcolor:black;pos:40,-20',
        'length:3;direction:left;fcolor:black;pos:30,0',
        'length:1;direction:left;fcolor:black;pos:0,-60;symmetrical:13',
        'length:1;direction:down;fcolor:black;pos:0,-80;symmetrical:13',
        'length:2;direction:down;fcolor:black;pos:30,-70;symmetrical:7',
        'length:2;direction:right;fcolor:black;pos:60,-90',
        ]

drawcon1=['length:1;direction:down;fcolor:black;pos:0,0',
        'length:3;direction:down;fcolor:black;pos:-10,-10',
        'length:2;direction:right;fcolor:black;pos:0,-40',
        'length:2;direction:right;fcolor:black;pos:10,-20',
        'length:1;direction:right;fcolor:black;pos:20,-30',
        'length:1;direction:right;fcolor:black;pos:20,-30',
        'length:2;direction:right;fcolor:black;pos:30,-40',
        'length:1;direction:right;fcolor:black;pos:40,-50',
        'length:2;direction:right;fcolor:black;pos:50,-60',
        'length:1;direction:right;fcolor:black;pos:70,-50',
        'length:3;direction:up;fcolor:black;pos:80,-40',
        'length:2;direction:left;fcolor:black;pos:70,-10',
        'length:2;direction:down;fcolor:black;pos:50,-20',
        'length:2;direction:left;fcolor:black;pos:40,-10',
        'length:2;direction:up;fcolor:black;pos:20,0',
        'length:1;direction:left;fcolor:black;pos:10,10',
        ]


human_head=[
        'length:26;direction:right;fcolor:black;pos:0,0;symmetrical:21;symmetrical_direction:down',
        'length:21;direction:down;fcolor:black;pos:0,0;symmetrical:25;',
        'length:7;direction:right;fcolor:black;pos:20,-85;symmetrical:14;',
        'length:1;direction:down;fcolor:black;pos:120,-152;symmetrical:2;symmetrical_direction:down;',
        'length:1;direction:down;fcolor:black;pos:110,-162;symmetrical:2;symmetrical_direction:down;',
        'length:3;direction:right;fcolor:black;pos:120,-192;',
]

web=[
       'length:32;direction:right;fcolor:black;pos:0,0;symmetrical:21;symmetrical_direction:down', 
       'length:21;direction:down;fcolor:black;pos:0,0;symmetrical:31;',
       'length:4;direction:down;fcolor:black;pos:160,-210;',
       'length:17;direction:right;fcolor:black;pos:80,-250;',
       'length:6;direction:right;fcolor:blue;pos:20,-50;',
       'length:6;direction:right;fcolor:blue;pos:50,-70;',
]

phone=[
       'length:16;direction:right;fcolor:black;pos:0,0;symmetrical:20;symmetrical_direction:down', 
       'length:20;direction:down;fcolor:black;pos:0,0;symmetrical:15;',
       'length:16;direction:right;fcolor:black;pos:0,-170;',
       'length:1;direction:right;fcolor:black;pos:75,-185;',
]

spider=[
        'length:17;direction:right;fcolor:black;pos:0,0;symmetrical:11;symmetrical_direction:down',
        'length:11;direction:down;fcolor:black;pos:0,0;symmetrical:16;',
        'length:6;direction:right;fcolor:black;pos:20,-20;symmetrical:6;symmetrical_direction:down',
        'length:6;direction:down;fcolor:black;pos:20,-20;symmetrical:5;',
        'length:6;direction:right;fcolor:black;pos:90,-20;symmetrical:6;symmetrical_direction:down',
        'length:6;direction:down;fcolor:black;pos:90,-20;symmetrical:5;',
        'length:2;direction:right;fcolor:black;pos:40,-40;symmetrical:7;',
        'length:2;direction:right;fcolor:black;pos:40,-50;symmetrical:7;',
        'length:6;direction:left;fcolor:black;pos:0,-20;symmetrical:22;',#第一根腿
        'length:3;direction:down;fcolor:black;pos:-60,-20;symmetrical:28;',
        'length:7;direction:left;fcolor:black;pos:0,-60;symmetrical:23;',#中间腿
        'length:8;direction:left;fcolor:black;pos:0,-80;symmetrical:24;',#最前面的腿
        'length:4;direction:down;fcolor:black;pos:-80,-80;symmetrical:32;',
]


camera=[
        'length:26;direction:right;fcolor:black;pos:0,0;symmetrical:14;symmetrical_direction:down',
        'length:14;direction:down;fcolor:black;pos:0,0;symmetrical:25;',
        'length:6;direction:right;fcolor:black;pos:20,-30;symmetrical:4;symmetrical_direction:down',
        'length:4;direction:down;fcolor:black;pos:20,-30;symmetrical:5;',
        'length:3;direction:right;fcolor:black;pos:200,-20;',
]

led=[
        'length:8;direction:right;fcolor:black;pos:0,0',
        'length:1;direction:right;fcolor:black;pos:-10,-10;symmetrical:9;',
        'length:9;direction:down;fcolor:black;pos:-20,-20;symmetrical:11;',
        'length:1;direction:down;fcolor:black;pos:-10,-110;symmetrical:9;',
        'length:1;direction:down;fcolor:black;pos:0,-120;symmetrical:7;',
        'length:1;direction:down;fcolor:black;pos:10,-130;symmetrical:5;',
        'length:4;direction:right;fcolor:black;pos:20,-150;symmetrical:2;symmetrical_direction:down',#灯座
        'length:2;direction:up;fcolor:black;pos:0,20',#灯光
        'length:2;direction:up;fcolor:black;pos:20,20',
        'length:2;direction:up;fcolor:black;pos:40,20',
        'length:2;direction:up;fcolor:black;pos:60,20',
        'length:2;direction:up;fcolor:black;pos:80,20',
        
]

#----------------------------
#哭脸
cry_face=[
        'length:26;direction:right;fcolor:black;pos:0,0;symmetrical:21;symmetrical_direction:down',
        'length:21;direction:down;fcolor:black;pos:0,0;symmetrical:25;',
        'length:7;direction:right;fcolor:black;pos:20,-85;symmetrical:14;',
        'length:12;direction:down;fcolor:black;pos:20,-105;symmetrical:14;',
        'length:12;direction:down;fcolor:black;pos:80,-105;symmetrical:14;',
        'length:5;direction:right;fcolor:black;pos:100,-145;',
]

#苹果
apple=[
        'length:2;direction:right;fcolor:black;pos:0,0;symmetrical:10;symmetrical_direction:down',
        'length:1;direction:right;fcolor:black;pos:20,-10;symmetrical:8;symmetrical_direction:down',#苹果凹坑
        'length:3;direction:right;fcolor:black;pos:30,0;symmetrical:10;symmetrical_direction:down',
        'length:1;direction:right;fcolor:black;pos:-10,-10;symmetrical:8;symmetrical_direction:down',
        'length:1;direction:right;fcolor:black;pos:-20,-20;symmetrical:6;symmetrical_direction:down',
        'length:5;direction:down;fcolor:black;pos:-30,-30;',
        'length:1;direction:right;fcolor:black;pos:60,-10;symmetrical:8;symmetrical_direction:down',#咬痕
        'length:1;direction:right;fcolor:black;pos:50,-20;symmetrical:6;symmetrical_direction:down',
        'length:1;direction:left;fcolor:black;pos:40,-30;symmetrical:4;symmetrical_direction:down',
        'length:3;direction:down;fcolor:black;pos:30,-40;',
        'length:1;direction:down;fcolor:black;pos:20,20;',#叶子
        'length:2;direction:right;fcolor:black;pos:30,30;',
        'length:1;direction:down;fcolor:black;pos:50,40;',
]

#书本
notebook=[
        'length:12;direction:right;fcolor:black;pos:0,0;symmetrical:21;symmetrical_direction:down',
        'length:1;direction:right;fcolor:black;pos:120,-10;symmetrical:21;symmetrical_direction:down',#凹
        'length:13;direction:right;fcolor:black;pos:130,0;symmetrical:21;symmetrical_direction:down',
        'length:21;direction:down;fcolor:black;pos:0,0;symmetrical:25;',
        'length:5;direction:down;fcolor:black;pos:120,-10;',#中间
]
#字母
letter_p=[
        'length:21;direction:down;fcolor:black;pos:0,0;',
        'length:6;direction:right;fcolor:black;pos:0,0;symmetrical:8;symmetrical_direction:down',
        'length:1;direction:right;fcolor:black;pos:60,-10;symmetrical:6;symmetrical_direction:down',
        'length:5;direction:down;fcolor:black;pos:70,-20;',
]
letter_h=[
        'length:21;direction:down;fcolor:black;pos:0,0;symmetrical:13;symmetrical_direction:right',
        'length:13;direction:right;fcolor:black;pos:0,-80;',
]
letter_t=[
        'length:13;direction:right;fcolor:black;pos:0,0;',
        'length:18;direction:down;fcolor:black;pos:60,0;',
]
letter_m=[
        'length:20;direction:right;fcolor:black;pos:0,0;',
        'length:21;direction:down;fcolor:black;pos:0,0;symmetrical:20;symmetrical_direction:right',
        'length:21;direction:down;fcolor:black;pos:100,0;',
]
letter_l=[
        'length:21;direction:down;fcolor:black;pos:0,0;',
        'length:14;direction:right;fcolor:black;pos:0,-210;',
]
letter_s=[
        'length:7;direction:right;fcolor:black;pos:0,0;symmetrical:8;symmetrical_direction:down',
        'length:1;direction:right;fcolor:red;pos:-10,-10;symmetrical:6;symmetrical_direction:down',
        'length:1;direction:right;fcolor:red;pos:-20,-20;symmetrical:4;symmetrical_direction:down',
        'length:3;direction:down;fcolor:black;pos:-30,-30;',
        'length:1;direction:down;fcolor:red;pos:70,-90;symmetrical:4;symmetrical_direction:down',
        'length:3;direction:down;fcolor:black;pos:80,-100;',
        'length:1;direction:down;fcolor:red;pos:60,-140;',
        'length:6;direction:left;fcolor:black;pos:50,-150;',
        'length:1;direction:down;fcolor:red;pos:-10,-140;',
        'length:1;direction:down;fcolor:red;pos:-20,-130;',
]
letter_d=[
        'length:13;direction:down;fcolor:black;pos:0,0;',
        'length:6;direction:right;fcolor:black;pos:0,0;symmetrical:13;symmetrical_direction:down',
        'length:1;direction:down;fcolor:red;pos:60,-10;symmetrical:11;symmetrical_direction:down',
        'length:1;direction:down;fcolor:red;pos:70,-20;symmetrical:9;symmetrical_direction:down',
        'length:8;direction:down;fcolor:black;pos:80,-30;',
]

letter_n=[
        'length:13;direction:down;fcolor:black;pos:0,0;',
        'length:1;direction:down;fcolor:red;pos:10,0;',
        'length:1;direction:down;fcolor:black;pos:20,-10;',
        'length:1;direction:down;fcolor:red;pos:30,-20;',
        'length:1;direction:down;fcolor:black;pos:40,-30;',
        'length:1;direction:down;fcolor:red;pos:50,-40;',
        'length:1;direction:down;fcolor:black;pos:60,-50;',
        'length:1;direction:down;fcolor:red;pos:70,-60;',
        'length:1;direction:down;fcolor:black;pos:80,-70;',
        'length:1;direction:down;fcolor:red;pos:90,-80;',
        'length:1;direction:down;fcolor:black;pos:100,-90;',
        'length:1;direction:down;fcolor:red;pos:110,-100;',
        'length:1;direction:down;fcolor:black;pos:120,-110;',
        'length:13;direction:up;fcolor:black;pos:130,-120;',
]

letter_q=[
        'length:10;direction:right;fcolor:black;pos:0,0;symmetrical:20;symmetrical_direction:down',
        'length:20;direction:down;fcolor:black;pos:0,0;symmetrical:10;symmetrical_direction:right',
        'length:5;direction:right;fcolor:black;pos:80,-150;',
        ]
letter_j=[
        'length:7;direction:right;fcolor:black;pos:0,0;',
        'length:18;direction:down;fcolor:black;pos:70,0;',
        'length:1;direction:down;fcolor:black;pos:60,-180;',
        'length:1;direction:down;fcolor:black;pos:50,-190;',
        'length:3;direction:left;fcolor:black;pos:40,-200;',
        'length:1;direction:left;fcolor:black;pos:10,-190;',
        'length:2;direction:up;fcolor:black;pos:0,-180;',
]


letter_c=[
        'length:7;direction:right;fcolor:red;pos:0,0;symmetrical:11;symmetrical_direction:down',
        'length:1;direction:right;fcolor:red;pos:-10,-10;symmetrical:9;symmetrical_direction:down',
        'length:1;direction:right;fcolor:red;pos:-20,-20;symmetrical:7;symmetrical_direction:down',
        'length:6;direction:down;fcolor:red;pos:-30,-30;',
]

#笑脸
happy_face=[
        'length:26;direction:right;fcolor:black;pos:0,0;symmetrical:21;symmetrical_direction:down',
        'length:21;direction:down;fcolor:black;pos:0,0;symmetrical:25;',
        'length:7;direction:right;fcolor:black;pos:20,-85;symmetrical:14;',
        'length:9;direction:right;fcolor:black;pos:80,-175;',#笑脸嘴
        'length:1;direction:right;fcolor:black;pos:70,-165;symmetrical:10;symmetrical_direction:right',
        'length:1;direction:right;fcolor:black;pos:60,-155;symmetrical:12;symmetrical_direction:right',
]


#dog face
dog_face=[
        #耳朵
      'length:9;direction:down;fcolor:black;pos:0,0;symmetrical:20;',
      'length:2;direction:right;fcolor:black;pos:10,10;symmetrical:17;',
      'length:1;direction:right;fcolor:black;pos:30,0;symmetrical:14;',
      'length:1;direction:right;fcolor:black;pos:40,-10;symmetrical:12;',
      'length:11;direction:right;fcolor:black;pos:50,-20;',
      'length:1;direction:right;fcolor:black;pos:40,-30;symmetrical:12;',
      'length:2;direction:down;fcolor:black;pos:30,-40;symmetrical:14;',
      'length:2;direction:right;fcolor:black;pos:10,-60;symmetrical:17;',
      #脸蛋
      'length:7;direction:down;fcolor:black;pos:-10,-90;symmetrical:22;',
      'length:2;direction:down;fcolor:black;pos:0,-160;symmetrical:20;',
      'length:2;direction:right;fcolor:black;pos:10,-180;symmetrical:17;',
      'length:2;direction:down;fcolor:black;pos:30,-190;symmetrical:14;',
      'length:1;direction:down;fcolor:black;pos:40,-210;',
      'length:2;direction:right;fcolor:black;pos:150,-210;',
      'length:10;direction:right;fcolor:black;pos:50,-220;',
      #眼眶
      'length:2;direction:down;fcolor:black;pos:0,-110;symmetrical:12;',
      'length:6;direction:right;fcolor:black;pos:10,-100;symmetrical:12;',
      'length:2;direction:down;fcolor:black;pos:70,-110;symmetrical:12;',
      'length:6;direction:right;fcolor:black;pos:10,-130;symmetrical:12;',
      #眼珠
      'length:2;direction:down;fcolor:black;pos:60,-110;symmetrical:12;',
      'length:1;direction:down;fcolor:gray;pos:50,-110;symmetrical:12;',
      'length:1;direction:down;fcolor:black;pos:50,-120;symmetrical:12;',
      #鼻子嘴巴
      'length:2;direction:down;fcolor:black;pos:70,-150;symmetrical:2;',
      'length:5;direction:down;fcolor:black;pos:80,-150;',
      'length:7;direction:right;fcolor:black;pos:60,-200;',
      'length:1;direction:right;fcolor:black;pos:130,-190;',
      'length:1;direction:right;fcolor:black;pos:140,-180;',
]

#hill
hill=[
        'length:20;direction:right;fcolor:black;pos:0,0;',
        'length:1;direction:right;fcolor:black;pos:200,10;',
        'length:1;direction:right;fcolor:black;pos:210,20;',
        'length:6;direction:up;fcolor:black;pos:220,30;',
        'length:1;direction:up;fcolor:black;pos:230,90;',
        'length:6;direction:up;fcolor:black;pos:240,100;',
        'length:1;direction:up;fcolor:black;pos:250,160;',
        'length:6;direction:up;fcolor:black;pos:260,170;',
        'length:1;direction:up;fcolor:black;pos:270,230;',
        'length:1;direction:up;fcolor:black;pos:280,240;',
        'length:7;direction:up;fcolor:black;pos:290,250;',
        'length:1;direction:up;fcolor:black;pos:300,320;',
        'length:1;direction:up;fcolor:black;pos:310,310;',
        'length:1;direction:up;fcolor:black;pos:320,300;',
        'length:10;direction:down;fcolor:black;pos:330,290;',
        'length:1;direction:down;fcolor:black;pos:340,190;',
        'length:1;direction:down;fcolor:black;pos:340,190;',
        'length:1;direction:down;fcolor:black;pos:350,180;',
        'length:5;direction:down;fcolor:black;pos:360,170;',
        'length:1;direction:down;fcolor:black;pos:360,120;',
        'length:1;direction:down;fcolor:black;pos:370,110;',
        'length:1;direction:down;fcolor:black;pos:380,100;',
        'length:1;direction:down;fcolor:black;pos:390,90;',
        'length:1;direction:down;fcolor:black;pos:400,80;',
        'length:1;direction:down;fcolor:black;pos:380,120;',
        'length:6;direction:up;fcolor:black;pos:390,130;',
        'length:1;direction:up;fcolor:black;pos:400,190;',
        'length:1;direction:up;fcolor:black;pos:410,200;',
        'length:15;direction:up;fcolor:black;pos:420,210;',
        'length:1;direction:up;fcolor:black;pos:430,360;',
        'length:2;direction:right;fcolor:black;pos:440,370;',
        'length:1;direction:right;fcolor:black;pos:460,360;',
        'length:4;direction:down;fcolor:black;pos:470,350;',
        'length:1;direction:down;fcolor:black;pos:480,310;',
        'length:8;direction:down;fcolor:black;pos:490,300;',
        'length:1;direction:down;fcolor:black;pos:500,220;',
        'length:1;direction:down;fcolor:black;pos:510,210;',
        'length:1;direction:down;fcolor:black;pos:520,200;',
        'length:1;direction:down;fcolor:black;pos:530,190;',
        'length:7;direction:down;fcolor:black;pos:540,180;',
        'length:1;direction:down;fcolor:black;pos:550,110;',
        'length:1;direction:down;fcolor:black;pos:560,100;',
        'length:6;direction:down;fcolor:black;pos:570,90;',
]

#赞
zan=[
   #袖子
   'length:6;direction:down;fcolor:black;pos:0,0;symmetrical:3;',    
   'length:4;direction:right;fcolor:black;pos:0,10;symmetrical:7;symmetrical_direction:down;', 
   #拇指
   'length:1;direction:down;fcolor:black;pos:40,10;',
   'length:1;direction:down;fcolor:black;pos:50,20;symmetrical:4;',
   'length:1;direction:down;fcolor:black;pos:60,30;',
   'length:3;direction:up;fcolor:black;pos:70,40;',
   'length:1;direction:up;fcolor:black;pos:80,70;symmetrical:2;',
   'length:2;direction:right;fcolor:black;pos:90,80;',
   'length:6;direction:down;fcolor:black;pos:100,80;',
   #握拳
   'length:6;direction:right;fcolor:black;pos:80,10;',
   'length:6;direction:down;fcolor:black;pos:140,10;',
   'length:1;direction:down;fcolor:black;pos:130,-50;',
   'length:9;direction:left;fcolor:black;pos:120,-60;',
]

#爱心
love=[
        'length:4;direction:right;fcolor:red;pos:0,0;symmetrical:5;',
        'length:1;direction:right;fcolor:red;pos:40,-10;symmetrical:9;symmetrical_direction:down;',
        'length:5;direction:down;fcolor:red;pos:-10,-10;symmetrical:10;',
        'length:1;direction:down;fcolor:red;pos:0,-60;symmetrical:8;',
        'length:1;direction:down;fcolor:red;pos:10,-70;symmetrical:6;',
        'length:1;direction:down;fcolor:red;pos:20,-80;symmetrical:4;',
        'length:1;direction:down;fcolor:red;pos:30,-90;symmetrical:2;',
]
#0
zero=[
        'length:6;direction:right;fcolor:black;pos:0,0;symmetrical:13;symmetrical_direction:down;',
        'length:1;direction:right;fcolor:black;pos:-10,-10;symmetrical:7;',
        'length:10;direction:down;fcolor:black;pos:-20,-20;symmetrical:9;',
        'length:1;direction:down;fcolor:black;pos:-10,-120;symmetrical:7;',
]

one=[
       'length:14;direction:down;fcolor:black;pos:0,0;', 
]

#云
cloud=[
        'length:1;direction:down;fcolor:black;pos:0,0;', 
        'length:1;direction:down;fcolor:black;pos:10,10;', 
        'length:3;direction:right;fcolor:black;pos:20,20;', 
        'length:1;direction:down;fcolor:black;pos:50,30;', 
        'length:4;direction:right;fcolor:black;pos:60,40;', 
        'length:2;direction:right;fcolor:black;pos:100,30;',
        'length:1;direction:right;fcolor:black;pos:120,20;',
        'length:1;direction:right;fcolor:black;pos:130,10;',
        'length:2;direction:down;fcolor:black;pos:140,0;',
        'length:1;direction:down;fcolor:black;pos:130,-10;',
        'length:1;direction:down;fcolor:black;pos:120,-20;',
        'length:10;direction:left;fcolor:black;pos:110,-30;',
        'length:1;direction:left;fcolor:black;pos:10,-20;',
        'length:1;direction:left;fcolor:black;pos:0,-10;',
]

#牌匾
plaque=[
        'length:20;direction:right;fcolor:black;pos:0,0;',
        'length:21;direction:up;fcolor:black;pos:200,0;symmetrical:7;',
        'length:10;direction:left;fcolor:black;pos:200,200;symmetrical:39;',
        'length:10;direction:up;fcolor:black;pos:100,200;symmetrical:49;',
        'length:50;direction:right;fcolor:black;pos:100,300;',
        'length:21;direction:up;fcolor:black;pos:490,0;symmetrical:7;symmetrical_direction:left;',
        'length:16;direction:left;fcolor:black;pos:420,200;',
]

#忽融
face1=[
        'length:20;direction:right;fcolor:black;pos:0,0;symmetrical:15;symmetrical_direction:down;',
        'length:15;direction:down;fcolor:black;pos:0,0;',
        'length:1;direction:down;fcolor:black;pos:200,-10;',
        'length:1;direction:down;fcolor:black;pos:210,-20;',
        'length:13;direction:down;fcolor:black;pos:220,-30;',
        'length:3;direction:left;fcolor:black;pos:220,-150;',
]
eye1=[
        'length:5;direction:right;fcolor:black;pos:0,0;symmetrical:7;symmetrical_direction:down;',
        'length:8;direction:down;fcolor:black;pos:0,0;symmetrical:5;',
        'length:1;direction:down;fcolor:black;pos:20,-20;',#眼珠
        'length:1;direction:down;fcolor:black;pos:30,-20;',
        'length:1;direction:down;fcolor:black;pos:40,-20;',
        'length:1;direction:down;fcolor:black;pos:20,-30;',#眼珠
        'length:1;direction:down;fcolor:black;pos:30,-30;',
        'length:1;direction:down;fcolor:black;pos:20,-40;',#眼珠
        'length:1;direction:down;fcolor:black;pos:40,-40;',
        'length:1;direction:down;fcolor:black;pos:20,-50;',#眼珠
        'length:1;direction:down;fcolor:black;pos:30,-50;',
        'length:1;direction:down;fcolor:black;pos:40,-50;',
]

smile=[
        'length:2;direction:down;fcolor:black;pos:0,0;symmetrical:9;',
        'length:9;direction:right;fcolor:black;pos:0,-20;',
]


body=[
       'length:22;direction:right;fcolor:black;pos:0,0;symmetrical:3;symmetrical_direction:down;',
       'length:4;direction:down;fcolor:black;pos:0,0;symmetrical:22;', 
]

leg=[
       'length:5;direction:down;fcolor:black;pos:0,0;symmetrical:8;', 
       'length:3;direction:left;fcolor:black;pos:0,-50;symmetrical:8;', 
]

hand=[
       'length:4;direction:left;fcolor:black;pos:0,0;',  
       'length:5;direction:up;fcolor:black;pos:-30,0;',  
       'length:2;direction:up;fcolor:black;pos:-40,50;', 
       'length:2;direction:up;fcolor:black;pos:-20,50;', 
]

hideturtle()

tool=Tools()
tracer(5,1)

tool.drawlines(face1)
tool.drawlines(eye1,(20,-20))
tool.drawlines(eye1,(120,-20))
tool.drawlines(smile,(40,-110))
tool.drawlines(body,(0,-160))
tool.drawlines(leg,(70,-200))
tool.drawlines(hand,(0,-170))

'''
tool.drawlines(letter_j,(-450,130))
tool.drawlines(letter_s,(-300,100))
'''

'''
tool.drawlines(letter_p,(-450,130))
tool.drawlines(letter_h,(-300,100))
tool.drawlines(letter_p,(-150,130))
'''
'''
tool.drawlines(letter_s,(-450,130))
tool.drawlines(letter_q,(-300,100))
tool.drawlines(letter_l,(-150,130))
'''

'''
tool.drawlines(letter_h,(-450,130))
tool.drawlines(letter_t,(-300,100))
tool.drawlines(letter_m,(-150,130))
tool.drawlines(letter_l,(150,140))
'''
tool.goto_((0,0))
input()






'''
tool.line(4,fcolor="black",direction="down")

tool.goto_((-10,-40))
tool.line(6,fcolor="black",direction="down")

tool.goto_((0,-100))
tool.line(2,fcolor="black",direction="down",symmetrical=13)

tool.goto_((10,-120))
tool.line(2,fcolor="black",direction="right",symmetrical=10)

tool.goto_((30,-130))
tool.line(8,fcolor="black",direction="right")

tool.goto_((140,-100))
'''
input()